com.sun.grid.jgdi.configuration.reflect

## Interface ClassDescriptor

- All Known Implementing Classes:
    AbstractClassDescriptor, GEObjectDescriptor, HostInfoDescriptor, QHostResultDescriptor

      public interface ClassDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(java.lang.Object bean)`
    `java.lang.Class` | `getBeanClass()`
    `java.lang.String` | `getCullName()`
    `java.util.List<PropertyDescriptor>` | `getProperties()`
    `PropertyDescriptor` | `getProperty(int index)`
    `PropertyDescriptor` | `getProperty(java.lang.String name)`
    `PropertyDescriptor` | `getPropertyByCullFieldName(int cullFieldName)`
    `int` | `getPropertyCount()`
    `java.lang.String[]` | `getPropertyNames()`
    `java.lang.Object` | `newInstance()`
    `java.lang.String` | `toString(java.lang.Object bean)`
    `void` | `validate(java.lang.Object bean)`

- - ### Method Detail

    - #### getBeanClass

          java.lang.Class getBeanClass()

    - #### getCullName

          java.lang.String getCullName()

    - #### getPropertyNames

          java.lang.String[] getPropertyNames()

    - #### getProperty

          PropertyDescriptor getProperty(java.lang.String name)

    - #### getPropertyByCullFieldName

          PropertyDescriptor getPropertyByCullFieldName(int cullFieldName)

    - #### getPropertyCount

          int getPropertyCount()

    - #### getProperty

          PropertyDescriptor getProperty(int index)

    - #### getProperties

          java.util.List<PropertyDescriptor> getProperties()

    - #### newInstance

          java.lang.Object newInstance()

    - #### clone

          java.lang.Object clone(java.lang.Object bean)

    - #### validate

          void validate(java.lang.Object bean)
                 throws InvalidObjectException

      Throws:
        `InvalidObjectException`

    - #### toString

          java.lang.String toString(java.lang.Object bean)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.